Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.wtc.jatmi
Class HTableParser

    java.lang.Object
      |
      +--weblogic.wtc.jatmi.HTableParser

public final class HTableParser
extends java.lang.Object

This class reads a FML32 Field Table during the boot time which implements the FldTbl interface.

Author:
  BEA Systems, Inc.
See Also:
  `FldTbl`, `FML`

Method Summary
`java.util.Vector` | `getfieldNameSet()`
`weblogic.utils.collections.NumericHashtable` | `getfieldtonameHashTable()`
`static HTableParser` | `getInstance(java.lang.String fieldfilename, boolean hdrtype32)`
`static HTableParser` | `getInstance(java.lang.String fieldfilename, boolean hdrtype32, int initialCapacity, float loadFactor)`
`weblogic.utils.collections.NumericValueHashtable` | `getnametofieldHashTable()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getInstance

    public static HTableParser getInstance(java.lang.String fieldfilename,
                                           boolean hdrtype32)

### getInstance

    public static HTableParser getInstance(java.lang.String fieldfilename,
                                           boolean hdrtype32,
                                           int initialCapacity,
                                           float loadFactor)

### getnametofieldHashTable

    public weblogic.utils.collections.NumericValueHashtable getnametofieldHashTable()

### getfieldtonameHashTable

    public weblogic.utils.collections.NumericHashtable getfieldtonameHashTable()

### getfieldNameSet

    public java.util.Vector getfieldNameSet()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference